
Katello - Bug #19640

Hammer-CLI-Katello doesn't search for lifecycle-environments properly when trying to promote.

05/23/2017 10:00 AM - Zach Huntington-Meath

Status: New   

Priority: Normal   

Assignee:    

Category: Hammer   

Target version: Katello Backlog   

Difficulty: medium Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

We have hit an issue where Hammers content-view version promote command responded with a NoMethodError (undefined method

`[]' for nil:NilClass). Upon further inspection it seems to be because it's only searching for the content-view from the latest 20

content-view versions. If the content-view with the life cycle environment is not within these 20 it breaks with this error.

History

#1 - 05/23/2017 10:05 AM - Zach Huntington-Meath

The command in question was:

hammer -d  --username  --password * --server my-katello.com content-view version promote --organization "Sat6-CI" --content-view "Satellite 6.2

RHEL7" --to-lifecycle-environment "6.2.9-7.0" --from-lifecycle-environment QA --force

#2 - 05/24/2017 02:13 PM - Justin Sherrill

- translation missing: en.field_release set to 114

- Difficulty set to medium
